Subject: Re: linux-next: comment on pm tree commit

From: "Rafael J. Wysocki" <[email-masked]>
Date: Mon, 9 Jul 2012 10:24:34 +0200

On Monday, July 09, 2012, Stephen Rothwell wrote:
> Hi Rafael,
> 
> I noticed commit b8eec56cd8e5 ("PM / cpuidle: System resume hang fix with
> cpuidle") in the pm tree needs some work (I noticed it because it was
> changed in a rebase ...).
> 
> diff --git a/include/linux/cpuidle.h b/include/linux/cpuidle.h
> index a6b3f2e..b90ccb2 100644
> --- a/include/linux/cpuidle.h
> +++ b/include/linux/cpuidle.h
> @@ -146,6 +146,8 @@ extern void cpuidle_unregister_device(struct cpuidle_device *dev);
>  
>  extern void cpuidle_pause_and_lock(void);
>  extern void cpuidle_resume_and_unlock(void);
> +extern void cpuidle_pause(void);
> +extern void cpuidle_resume(void);
>  extern int cpuidle_enable_device(struct cpuidle_device *dev);
>  extern void cpuidle_disable_device(struct cpuidle_device *dev);
>  extern int cpuidle_wrap_enter(struct cpuidle_device *dev,
> @@ -169,6 +171,8 @@ static inline void cpuidle_unregister_device(struct cpuidle_device *dev) { }
>  
>  static inline void cpuidle_pause_and_lock(void) { }
>  static inline void cpuidle_resume_and_unlock(void) { }
> +static inline cpuidle_pause(void) { }
> +static inline cpuidle_resume(void) { }
> 
> These need to be "static inline void".  I wonder what review and build
> testing this went through (the above should produce warnings since they
> are non void returning functions with no return statements).

Thanks for reporting this, I tried to fix a build issue in the original patch
hastily and failed miserably as you have noticed and then I build-tested a
wrong tree.  Sorry.

It should be fixed now for real.

Thanks,
Rafael